cURL
curl --request POST \
--url https://api.comm.com/api/v1/voice/agents/lead-submitter/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"url": "<string>",
"transcript_as_text": true,
"call_outcomes": [],
"field_aliases": [
"<string>"
],
"tags_on_complete": [
"<string>"
],
"headers": [
{
"key": "<string>",
"value": "<string>"
}
],
"additional_data": [
{
"key": "<string>",
"value": "<string>"
}
]
}
'import requests
url = "https://api.comm.com/api/v1/voice/agents/lead-submitter/settings"
payload = {
"enabled": True,
"url": "<string>",
"transcript_as_text": True,
"call_outcomes": [],
"field_aliases": ["<string>"],
"tags_on_complete": ["<string>"],
"headers": [
{
"key": "<string>",
"value": "<string>"
}
],
"additional_data": [
{
"key": "<string>",
"value": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
enabled: true,
url: '<string>',
transcript_as_text: true,
call_outcomes: [],
field_aliases: ['<string>'],
tags_on_complete: ['<string>'],
headers: [{key: '<string>', value: '<string>'}],
additional_data: [{key: '<string>', value: '<string>'}]
})
};
fetch('https://api.comm.com/api/v1/voice/agents/lead-submitter/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"url": "<string>",
"enabled": false,
"method": "POST",
"headers": [
{
"key": "<string>",
"value": "<string>"
}
],
"call_outcomes": [
"<string>"
],
"tags_on_complete": [
"<string>"
],
"transcript_as_text": false,
"field_aliases": [
"<string>"
],
"additional_data": [
{
"key": "<string>",
"value": "<string>"
}
],
"daily_limit": 123
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}CallOutcomeClassifiers
Post v1voiceagentslead submittersettings
POST
/
v1
/
voice
/
agents
/
lead-submitter
/
settings
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Maximum string length:
255Available options:
POST, PUT, PATCH Available options:
interested, not_interested, voice_mail, call_me_later, do_not_call, wrong_number, no_user_response, not_qualified, burned_experience, quick_hangup, maybe_interested, agent_issue, no_answer, failed, audio_issue, busy, unknown_error Maximum array length:
10Maximum string length:
50Maximum array length:
10Show child attributes
Show child attributes
Maximum array length:
10Show child attributes
Show child attributes
Response
LeadSubmitterData
Show child attributes
Show child attributes
⌘I